# Maintainer: Joaquin (Pato) Decima <jdecima@lynx.net.ar>

pkgname=lynx-desktop-settings
pkgver=0.0.14
pkgrel=1
pkgdesc="Lynx Desktop Settings - Basic Configuration"
arch=('x86_64')
url="https://gitlab.com/LynxOS/Desktop/$pkgname"
license=('GPL')
makedepends=('git')
source=("$url/-/archive/$pkgver/$pkgname-$pkgver.tar.gz")
md5sums=('01a0e2bcad36920b908b21e3415c2313')
depends=(
        'dex'
        'dunst'
        'polkit-gnome'
        'lynx-menu-data'
        'lynx-gtk-theme'
        'lynx-gala'
        'python-yaml'
        )

package() {
    cd $_pkgbase
    install -dm755 $pkgdir/etc
    install -dm755 $pkgdir/usr/share/glib-2.0/schemas
    install -dm755 $pkgdir/etc/lynx
    cp $srcdir/$pkgname-$pkgver/etc/lynx/session.yaml $pkgdir/etc/lynx/session.yaml
    cp -r $srcdir/$pkgname-$pkgver/usr $pkgdir/
    chmod a+x $pkgdir/usr/bin/lynx-session
    cp $srcdir/$pkgname-$pkgver/schemas/* $pkgdir/usr/share/glib-2.0/schemas
}
